gtksourceviewmm: Gsv::Language Class Reference

gtksourceviewmm 3.2.0

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gsv::Language Class Reference

Object representing a syntax highlighted language. More...

`#include <gtksourceviewmm/language.h>`

Inheritance diagram for Gsv::Language:
[legend]

List of all members.

## Public Member Functions
GtkSourceLanguage* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceLanguage* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceLanguage* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_id () const
| Returns the ID of a language.
Glib::ustring | get_name () const
| Returns the localized name of the language.
Glib::ustring | get_section () const
| Returns the localized section of the language.
bool | get_hidden () const
| Returns whether the language should be hidden from the user.
std::vector< Glib::ustring > | get_mime_types () const
| Returns the mime types associated to this language.
std::vector< Glib::ustring > | get_globs () const
| Returns the globs associated to this language.
std::vector< Glib::ustring > | get_style_ids () const
| Returns the ids of the styles defined by this language.
Glib::ustring | get_style_name (const Glib::ustring& style_id) const
| Returns the name of the style with ID style_id defined by this language.
Glib::ustring | get_metadata (const Glib::ustring& name) const
| Returns metadata of a language.
Glib::PropertyProxy_ReadOnly < std::string > | property_id () const
| Language id.
Glib::PropertyProxy_ReadOnly < std::string > | property_name () const
| Language name.
Glib::PropertyProxy_ReadOnly < std::string > | property_section () const
| Language section.
Glib::PropertyProxy_ReadOnly < bool > | property_hidden () const
| Whether the language should be hidden from the user.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::Language > | wrap (GtkSourceLanguage* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Object representing a syntax highlighted language.

Language encapsulates syntax and highlighting styles for a particular language. Use LanguageManager to obtain a Language instance, and Buffer::set_language() to apply it to a Buffer.

## Member Function Documentation

std::vector<Glib::ustring> Gsv::Language::get_globs | ( |  | ) | const

Returns the globs associated to this language.

This is just a utility wrapper around get_metadata() to retrieve the "globs" metadata property and split it into an array.

Returns:
  An array containing the globs.

bool Gsv::Language::get_hidden | ( |  | ) | const

Returns whether the language should be hidden from the user.

Returns:
  `true` if the language should be hidden, `false` otherwise.

Glib::ustring Gsv::Language::get_id | ( |  | ) | const

Returns the ID of a language.

The ID is not locale-dependent.

Returns:
  The ID of a language.

Glib::ustring Gsv::Language::get_metadata | ( | const Glib::ustring & | name | ) | const

Returns metadata of a language.

Parameters:

  name | Metadata property name.

Returns:
  Value of property name stored in the metadata of language or empty string if language doesn't contain that metadata property.

std::vector<Glib::ustring> Gsv::Language::get_mime_types | ( |  | ) | const

Returns the mime types associated to this language.

This is just a utility wrapper around get_metadata() to retrieve the "mimetypes" metadata property and split it into an array.

Returns:
  An array containing the mime types.

Glib::ustring Gsv::Language::get_name | ( |  | ) | const

Returns the localized name of the language.

Returns:
  The name of a language.

Glib::ustring Gsv::Language::get_section | ( |  | ) | const

Returns the localized section of the language.

Each language belong to a section (ex. HTML belogs to the Markup section).

Returns:
  The section of a language.

std::vector<Glib::ustring> Gsv::Language::get_style_ids | ( |  | ) | const

Returns the ids of the styles defined by this language.

Returns:
  An array containing ids of the styles defined by this language.

Glib::ustring Gsv::Language::get_style_name | ( | const Glib::ustring & | style_id | ) | const

Returns the name of the style with ID style_id defined by this language.

Parameters:

  style_id | A style ID.

Returns:
  The name of the style with ID style_id defined by this language or empty string if the style has no name or there is no style with ID style_id defined by this language.

Glib::PropertyProxy_ReadOnly<bool> Gsv::Language::property_hidden | ( |  | ) | const

Whether the language should be hidden from the user.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<std::string> Gsv::Language::property_id | ( |  | ) | const

Language id.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<std::string> Gsv::Language::property_name | ( |  | ) | const

Language name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<std::string> Gsv::Language::property_section | ( |  | ) | const

Language section.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::Language > wrap | ( | GtkSourceLanguage * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.